Latest News: MIDAS v4.25 Now Available | COVID-19 Support

Microsoft Teams Integration for MIDAS MIDAS Teams Addon: Pre-Requisites

In order to use this addon, you will need to be running MIDAS v4.20 (or later) and have a Microsoft Teams account.
Not yet using Microsoft Teams? Get Microsoft Teams